Skip to Content
API ReferenceProduct Variants

List booking availability

Retrieve available appointment slots for a booking product variant.

Retrieve available appointment slots for a booking product variant. Use the returned slot start time when creating a booking hold.

GET
/v2/products/{product}/variants/{variant}/booking/availability

Authorization

headerAuthorizationBearer <API Key>

Provide your SellApp API key as a bearer token.

Path Parameters

product*integer

The product path parameter.

variant*integer

The variant path parameter.

Query Parameters

from?string

Start date for the availability window.

Formatdate
to?string

End date for the availability window.

Formatdate
quantity?integer

Number of seats to reserve for each returned slot.

Range1 <= value

Header Parameters

X-STORE?string

Store slug. Required for OAuth access tokens. API keys may omit it to use their current store, or the first accessible store when no current store is selected.

Response Body

Successful response.

application/json
  1. response
data*array<>
Example Request
curl -X GET 'https://sell.app/api/v2/products/0/variants/0/booking/availability' \  -H 'X-STORE: launch-lab'
{  "data": [    {      "start": "2026-06-22T14:00:00+00:00",      "end": "2026-06-22T14:30:00+00:00",      "label": "2:00 PM",      "timezone": "UTC",      "available_capacity": 3    }  ]}